# DescribeZones

## 1. API Description

This API (DescribeZones) is used to query zones available.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description       |
| -------------- | -------- | --------------- | ----------------- |
| zoneIds        | No       | Array of String | List of zone IDs. |

## 3. Output Parameters

| Parameter Name | Type                                                                     | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                   | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| zoneSet        | Array of [ZoneInfo](/api-reference/compute/vm/datastructure.md#zoneinfo) | The list of zones available.                                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query zones available.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZones
<Common Request Params>

Request:
{
  "zoneIds": [
    "FRA-A",
    "SIN-E"
  ]
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "zoneSet": [
      {
        "zoneId": "FRA-A",
        "zoneName": "Frankfurt",
        "networkLineType": "BGP"
      },
      {
        "zoneId": "SIN-E",
        "zoneName": "Singapore",
        "networkLineType": "Cogent"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/location/describezones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
